<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="org.debez.hmlite">

    <uses-permission android:name="android.permission.GET_ACCOUNTS" />
    <uses-permission android:name="android.permission.READ_PROFILE" />
    <uses-permission android:name="android.permission.READ_CONTACTS" />
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.ACCESS_COARSE_LOCATION" />
    <uses-permission android:name="android.permission.ACCESS_FINE_LOCATION" />

    <application
        android:allowBackup="true"
        android:icon="@mipmap/hmlite_launcher"
        android:label="@string/app_name"
        android:supportsRtl="true"
        android:theme="@style/AppTheme"
        android:fullBackupContent="@xml/backup_descriptor">

        <!-- Activity -->
        <activity
            android:name=".auth.LoginActivity"
            android:label="@string/app_name">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />
                <action android:name="android.intent.action.VIEW" />
                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity
            android:name=".auth.ResetPasswordActivity"
            android:label="@string/app_name" />
        <activity
            android:name=".auth.SignupActivity"
            android:label="@string/app_name" />
        <activity
            android:name=".HomeActivity"
            android:label="@string/home_title"
            android:theme="@style/AppTheme.NoActionBar" />
        <activity
            android:name=".DiceRollActivity"
            android:label="@string/roll_dice_title" />
        <activity
            android:name=".PlantActivity"
            android:label="@string/plant_status_title" />
        <activity
            android:name=".PlantDetails"
            android:label="@string/details_title" />

        <!-- Service -->
        <service
            android:name=".notification.MessageService"
            android:enabled="true"
            android:exported="true"
            android:permission="android.permission.INTERNET">
            <intent-filter>
                <action android:name="com.google.firebase.MESSAGING_EVENT" />
            </intent-filter>
        </service>
    </application>

</manifest>